%define upstream_name    App-CSV2Chart
%define upstream_version 0.12.0

%{?perl_default_filter}

Name:       csv2chart
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Command line utility to convert CSV data to a graphical chart
License:    MIT
Group:      File tools
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/S/SH/SHLOMIF/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(App::Cmd::Setup)
BuildRequires: perl(Excel::Writer::XLSX)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::CSV)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: perl
BuildArch:  noarch

%description
Command line utility to convert CSV data to a graphical chart.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}
perl -i -lpe 's{^(#\!/usr/bin/perl).*}{$1} if $. == 1' %{buildroot}/%{_bindir}/*

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/App/*
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Mon Mar 21 2022 umeabot <umeabot> 0.12.0-2.mga9
+ Revision: 1812857
- Mageia 9 Mass Rebuild

* Mon Jul 06 2020 shlomif <shlomif> 0.12.0-1.mga8
+ Revision: 1602512
- New version 0.12.0

* Wed Mar 11 2020 shlomif <shlomif> 0.10.0-1.mga8
+ Revision: 1555637
- update to 0.10.0

* Tue May 28 2019 shlomif <shlomif> 0.4.0-1.mga7
+ Revision: 1399329
- import based on countdown.srpm

